/*****************************************************
debug.h :
  μITRON サンプルプログラム
  Copyright(C) 1998-2019 佐々木芳

デバグタスク定義

*****************************************************/
/*****************************************************
デバグコンソール制御関数
*****************************************************/
#define DP_NONE		0		/*なし*/
#define DP_CON0		1		/*内臓シリアルチャネル０*/
#define	DP_CON1		2		/*内臓シリアルチャネル１*/

//改行コード
#define	NEWLINE			"\r"		/* \n or \r or \r\n */

//カスタムコマンドの実行結果
typedef enum {
	COM_NOT_FOUND	= 0,
	COM_OK			= 1,
	COM_ERROR		= 2,
}CC_RESULT;
typedef CC_RESULT (*PFN_CUSTOM_COMMAND)(char* command_line, UINT wp, void* pv);	/*カスタムコマンド処理関数形式*/


void DebugInitConsole(int port);			/*コンソールの初期化*/
WORD DebugSenseChar(void);					/*文字入力問合せ*/
char DebugGetChar(void);					/*一文字取得待ち*/
void DebugPutChar(char c);					/*一文字書込*/
int  DebugWaitCommand(void);				/*コマンド一行取得待ち*/
void DebugPutString(char* s);				/*一行書込*/
void DebugPrintf(const char *format, ...);	/*書式付き文字列表示*/
//void DebugDumpMessage(MSGBLOCK* pMsg);

void DebugSetCustomCommandProc(PFN_CUSTOM_COMMAND);

